## Class TTextHighlighterLineNumberStyle

Description

TEnumerable class.

TEnumerable is the base class for all enumerable types. To define an enumerable type, extend TEnumberable and define string constants. Each constant represents an enumerable value. The constant name must be the same as the constant value. For example,

     class TTextAlign extends TEnumerable
     {
         const Left='Left';
         const Right='Right';
     }

Then, one can use the enumerable values such as TTextAlign::Left and TTextAlign::Right.

- version: $Id: TComponent.php 2347 2007-12-20 16:45:12Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TTextHighlighter.php (line 196)

    TEnumerable
       |
       --TTextHighlighterLineNumberStyle

Class Constant Summary
Li = 'Li'
Table = 'Table'
Class Constants
Li = 'Li' (line 198)
Table = 'Table' (line 199)

Documentation generated on Mon, 21 Apr 2008 11:36:35 -0400 by phpDocumentor 1.3.0RC4